Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.

Các bài được khuyến nghị

Jin Yong    334

Có nhiều trường hợp khi Move bản vẽ thì gặp hiện tượng chân Dim bị kéo dài, và có xu hường dữ chân Dim ở vị trí cụ Lỗi này có thể khác phục bằng cách Copy Dim, tức là ko đo trực tiếp mà chỉ copy rồi Stretch, nhưng làm thế thì nghe chống chế quá, có Dim mà ko được Dim có phải là mất sướng ko!

Em muốn hỏi là lỗi này do đâu, và có thể khắc phục được ko?

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ktsChen    139

Lỗi này là do đặt chế độ ở trong options, chế độ này sẽ rất hiệu quả nế bẹn sự dụng LAYOUT, cách khắc phục là :

- lệnh op (options)

- Tab USER PREFERENCES

- Tich bỏ dấu tích của MAKE NEW DIM

- XONG

BẠN NÊN CHÚ Ý CHẾ ĐỘ NÀY, NẾU BẠN TẮT NÓ SẼ KHÔNG CÒN HIỆN TƯỢNG XẢY RA NHƯ BẠN VỪA NÊU TRÊN. CHÚC BẠN NGON MIỆNG

  • Vote tăng 21

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Jin Yong    334

Lỗi này là do đặt chế độ ở trong options, chế độ này sẽ rất hiệu quả nế bẹn sự dụng LAYOUT, cách khắc phục là :

- lệnh op (options)

- Tab USER PREFERENCES

- Tich bỏ dấu tích của MAKE NEW DIM

- XONG

Jin đã thử cách này từ hôm qua tới giờ, quả nhiên là không thấy lỗi nữa . Đúng là từ trước tới nay vào Opitions không để ý đến đoạn này :lol:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bemove    1.308

Tình trạng như trên là do anh em dùng dim asscociate có nghĩa là nó gắn chặt với đối tượng vẽ, khi move đối tượng thì dim asscociatve sẽ bị move cùng với đối tượng mặc dù đối tượng chọn move không có dim

để khắc phục tình trạng này khi tạo một bản vẽ mới thì vào options-> User Preference -> tick bỏ Make new dimentions asciative

Còn trường hợp đã trót tạo dim ascociative rồi thì dùng lệnh "dimdisassociate" để chuyển về dim bình thường

  • Vote tăng 4

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bemove    1.308

Dùng lisp cắt dim lúc được lúc không vì bản chất của loại dim đó vẫn là associative :lol:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
TuanNT    0

Mình vẫn dùng cái này:

;; Catdim © CADViet.com
(defun c:cd (/ entdt dcat1 dcat2 sodimsua index sodt ssdt tt)
 (defun cdim (entdt	pchan	 pduong	  /	   tt	    old10
       old13	old14	 new10	  new13	   new14    p10n
       p13n	p14n	 p10o	  p13o	   p14o	    gocduong
       gocchan	pchanb	 pduongb loaidim
      )
   (defun chanvuonggoc	(ph p1 p2 / ptemp pkq goc)
     (setq
goc   (+ (angle p1 p2) (/ pi 2.0))
ptemp (polar ph goc 1000.0)
pkq   (inters ph ptemp p1 p2 nil)
     )
     pkq
   )
   (setq
     tt       (entget entdt)
     old10    (assoc '10 tt)
     old13    (assoc '13 tt)
     old14    (assoc '14 tt)
     p10o     (cdr old10)
     p13o     (cdr old13)
     p14o     (cdr old14)
     loaidim  (logand (cdr (assoc '70 tt)) 7)
     gocduong (cond
	 ((= loaidim 1) (angle p13o p14o))
	 ((= loaidim 0) (cdr (assoc '50 tt)))
	 (t nil)
       )
     pchan (cond
      (pchan (list (car pchan) (cadr pchan) 0.0))
      (t pchan)
    )
     pduong (cond
      (pduong (list (car pduong) (cadr pduong) 0.0))
      (t pduong)
    )

   )
   (if	gocduong
     (progn
(if pchan
  (setq
    pchanb (polar pchan gocduong 1000.0)
    p13n   (chanvuonggoc (list (car p13o) (cadr p13o) 0.0) pchan pchanb)
    p14n   (chanvuonggoc (list (car p14o) (cadr p14o) 0.0) pchan pchanb)
    new13  (cons 13 p13n)
    new14  (cons 14 p14n)
    tt	   (subst new13 old13 tt)
    tt	   (subst new14 old14 tt)
  )
)
(if pduong
  (setq
    pduongb (polar pduong gocduong 1000.0)
    p10n    (chanvuonggoc (list (car p10o) (cadr p10o) 0.0) pduong pduongb)
    new10   (cons 10 p10n)
    tt	    (subst new10 old10 tt)
  )
)
(entmod tt)
     )
   )
   gocduong
 )

 (setq	ssdt	 (ssget '((0 . "DIMENSION")))
dcat1	 (getpoint "\nDiem cat chan DIM: ")
dcat2	 (getpoint "\nDiem cat duong DIM: ")

dcat1    (cond
	   (dcat1 (trans dcat1 1 0))
	   (t nil)
	 )
dcat2    (cond
	   (dcat2 (trans dcat2 1 0))
	   (t nil)
	 )	
sodt	 (sslength ssdt)
index	 0
sodimsua 0
 )
 (repeat sodt
   (setq entdt	(ssname ssdt index)
  index	(1+ index)
  tt	(entget entdt)

   )
   (if	(cdim entdt dcat1 dcat2)
     (setq sodimsua (1+ sodimsua))
   )
 )
 (princ (strcat "\nSo duong dim da sua: " (itoa sodimsua)))
 (princ)
)

 

Dùng lệnh CD, sau đó pick 2 điểm, điểm thứ nhất là cắt chân dim, điểm thứ 2 là cắt đường dim. Muốn bỏ qua điểm chân hay điểm đầu thì nhấn dấu space. vd: muốn cắt cả chân cả đường thì pick 2 điểm. Muốn cắt mỗi chân dim thì pick điểm rồi nhấn dấu cách, muốn cắt mỗi đường dim thì nhấn dấu cách rồi pick điểm.

lệnh CD này cắt được hầu hết các đường chân dim, kể cả dim xiên, dimalign.

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
utloi    3
Lỗi này là do đặt chế độ ở trong options, chế độ này sẽ rất hiệu quả nế bẹn sự dụng LAYOUT, cách khắc phục là :

- lệnh op (options)

- Tab USER PREFERENCES

- Tich bỏ dấu tích của MAKE NEW DIM

- XONG

BẠN NÊN CHÚ Ý CHẾ ĐỘ NÀY, NẾU BẠN TẮT NÓ SẼ KHÔNG CÒN HIỆN TƯỢNG XẢY RA NHƯ BẠN VỪA NÊU TRÊN. CHÚC BẠN NGON MIỆNG

cam on bac nhieu

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thaiha175    5

quá tuyệt thank pác mỗi tội cái lỗi do dùng lisp cắt dim mà vẫn bị nhảy dim không sửa được hơi bùn ,em thấy sau khi em cắt đi hơi move đi một tẹo thì sau không sao nhưng nói chung là phập phù

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
interwar1283    211
quá tuyệt thank pác mỗi tội cái lỗi do dùng lisp cắt dim mà vẫn bị nhảy dim không sửa được hơi bùn ,em thấy sau khi em cắt đi hơi move đi một tẹo thì sau không sao nhưng nói chung là phập phù

Bản chất của hiện tượng nhảy dim, xem lại bài của bemove bên trên ấy, phập phủ theo bạn nói ở đây là tn?

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nguhuynhvn    0
dim ascociative la gi?

Ko hieu mong cac bac chi giao

dim ascociative có hai tuỳ chọn

0 rời rạc giũa dim và đối tượng

1 liên kêt giữa dim và đối tượng

:bigsmile: :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Theghost    31

Ok. em đã hiểu nhưng còn điều này em chưa biết đó là em có thể đặt duy nhất 1 style dim cho các bản vẽ khác nhau được ko

Bởi vì các bản vẽ khác nhau thì text và dim khác nhau?????

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cuongnam    5

khi sử dụng lệnh cắt chân dim thì phải chú ý một điều là bạn phải đang làm việc trên mp xoy, thê hiện ở chỗ có hình vuông tại giao của hai trục toạ độ, nếu tại giao của hai trục toạ độ mà không có biểi tượng này tức là trên giao diện màn hình thì bạn đang làm việc trên mp xoy nhưng thực chất là bạn đang vẽ trên một mp x'o'y' với độ cao khác 0, do đó khi bạn thực hiện lệnh cắt chân dim thì chân dim sẽ bị nhảy đi chỗ khác

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×